Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

In order to test different background models for IACT analysis, I want to implement new CTA background models:

GCTABackground2D, having only the dependency in energy and offset.

GCTABackground3DPhi, having the dependency in energy, offset and rotation angle

I had a look at the GCTABackground base class, which implements the operator(logE, detx, dety). My question is if we leave it as is

and recompute offset and phi in the operator() functions of above new classes. Another option would be to simply pass a

GCTAInstDir in all background operators instead of (detx, dety).

The other question concerns the name and the distinction of GCTABackground3DPhi to the original GCTABackground3D.

Related issues:

Related to GammaLib - Action # 3527: Implement GCTABackground2D class Closed 02/02/2021

History

#1 - 10/02/2015 06:42 PM - Knödlseder Jürgen

How would the change of detx and dety to GCTAInstDir actually change things? In the relevant operator you still would need to compute the offset

and phi.

The actual CTA response has in fact only an energy and offset angle, and I compute externally the DETX and DETY values and fill the response

cube. Wouldn't this make the GCTABackground2D obsolete? But maybe you have a reason to do this internally.

Same for GCTABackground3DPhi: couldn't this be done externally?

#2 - 10/05/2015 10:12 AM - Mayer Michael

I understand your point and haven't thought of that. The only reason why GCTABackground2D would be useful is the reduced file size compared to

GCTABackground3D (due to less and maybe even coarser bins). I realised you convert the ROOT::TH2D histogram to the FITS 3D table in

cta_root2caldb.py - make_3D. I guess you are right, we could easily create a ROOT histogram from HESS Data as well and use the function

make_3D which is already there.

The same is true for including a phi dependence. Especially since the DetX and DetY are defined differently in ctools and HESS (aligned Ra/Dec vs

Alt/Az) the approximation of radial symmetry is probably the best we can do at the moment.

I would therefore to propose to reject this issue and handle all of this outside gammalib. Nevertheless, there could be a cscript eventually that creates

background models from observations (#1530).

#3 - 05/28/2021 03:28 AM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.0.0
- % Done changed from 0 to 100

The GCTABackground2D class was implemented (see #3527).

#4 - 05/28/2021 03:28 AM - Knödlseder Jürgen

- Related to Action #3527: Implement GCTABackground2D class added
